// #autoload
// #name = KrageHudToggle
// #version = 1.01
// #date = November 1, 2003
// #author = Krage
// #email = krage@rogers.com
// #description = Toggle default gui pieces
// #status = Working?
// #config = KrageHTConfig

//Nov. 1, 2003 - fixed a couple little mistakes, thanks to ilys for taking a read through and pointing these out :)

if(!isObject(KrageHT))
{
    if(isFile("prefs/KragePrefs.cs") && !$KragePrefsLoaded)
    {
        exec("prefs/KragePrefs.cs");
        $KragePrefsLoaded = true;
    }

	if(!$KragePref::HudToggle::PrefsCreated)
	{
		$KragePref::HudToggle::PrefsCreated = "1";
		$KragePref::HudToggle::AmmoHUD = "1";
		$KragePref::HudToggle::CompHUD = "1";
		$KragePref::HudToggle::InvHUD = "1";
		$KragePref::HudToggle::ObjHUD = "1";
		$KragePref::HudToggle::PackHUD = "1";
		$KragePref::HudToggle::WeapHUD = "1";
	}

    new ScriptObject(KrageHT)
    {
        class = KrageHT;
    };
}

package KrageHudToggle
{
    function playGui::onWake(%this)
    {
        parent::onWake(%this);
        KrageHT.update();
    }

    function KrageHT::update(%this)
    {
        // ObjectiveHUD
        if(!$KragePref::HudToggle::ObjHUD)
		playgui.remove(objectivehud);
	  else
		playgui.add(objectivehud);

        // packHud
        if(!$KragePref::HudToggle::PackHUD)
		playgui.remove(backpackFrame);
	  else
		playgui.add(backpackFrame);

	  // invHud
        if(!$KragePref::HudToggle::InvHUD)
            playgui.remove(inventoryhud);
	  else
		playgui.add(inventoryhud);

	  // weaponHud
        if(!$KragePref::HudToggle::WeapHUD)
            playgui.remove(weaponshud);
	  else
		playgui.add(weaponshud);

	  // compass cluster
	  if(!$KragePref::HudToggle::CompHUD)
	  {
            playgui.remove(hudclusterback);
            playgui.remove(clockhud);
          }
	  else
	  {
		playgui.add(hudclusterback);
		playgui.add(clockhud);
	  }
	  
	  // ammohud
	  if(!$KragePref::HudToggle::AmmoHUD)
            retcenterhud.remove(ammohud);
	  else
		retcenterhud.add(ammohud);
    }

    // Setup OptionsGUI
    function KrageHT::setup(%this)
    {
	new GuiControl(KrageHTConfig) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "640 480";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
			new ShellPaneCtrl() {
			profile = "ShellPaneProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "239 200";
			minExtent = "48 92";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "KrageHudToggle";
			longTextBuffer = "0";
			maxLength = "255";
			noTitleBar = "0";
				new ShellFieldCtrl() {
				profile = "ShellFieldProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "20 29";
				extent = "199 151";
				minExtent = "16 18";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 34";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::ObjHUD";
				helpTag = "0";
				text = "ObjectiveHUD";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 57";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::CompHUD";
				helpTag = "0";
				text = "CompassCluster";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 80";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::PackHUD";
				helpTag = "0";
				text = "PackHUD";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 103";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::InvHUD";
				helpTag = "0";
				text = "InventoryHUD";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 126";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::WeapHUD";
				helpTag = "0";
				text = "WeaponsHUD";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellToggleButton() {
				profile = "ShellRadioProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "53 149";
				extent = "127 27";
				minExtent = "26 27";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				variable = "$KragePref::HudToggle::AmmoHUD";
				helpTag = "0";
				text = "AmmoHUD";
				longTextBuffer = "0";
				maxLength = "255";
			};
		};
	};
    }

    function quit()
    {
        if(!$KragePrefsSaved)
        {
            export("$KragePref::*", "prefs/KragePrefs.cs", false);
            $KragePrefsSaved = true;
        }

        parent::quit();
    }
};
activatePackage(KrageHudToggle);

// Load OptionsGUI
KrageHT.setup();
